package com.ssj.service.reading.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * 签到签离入参实体
 */
public class VipSignInDto extends BaseRequest{


	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="libId",value="图书馆id",required=true)
	@NotNull
	private String libId;

	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
	private int pageSize =10;
	@ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo =1;

	@ApiModelProperty(name="type",value = "1-签到2-签离",required = true)
	@NotNull
	private int type;

	@ApiModelProperty(name="childName",value = "搜索姓名",required = false)
	private String childName;

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}
}
